curl -X GET "https://api.thalbank.com/withdrawals/search?metadataKey=orderId&metadataValue=ORD-001" \
-H "x-api-key: sua_api_key"
[
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"metadata": { "orderId": "ORD-001" },
"createdAt": "2026-03-10T12:00:00.000Z"
}
]
Withdrawals
Buscar por Metadata
Busca saques por chave e valor de metadata
GET
/
withdrawals
/
search
curl -X GET "https://api.thalbank.com/withdrawals/search?metadataKey=orderId&metadataValue=ORD-001" \
-H "x-api-key: sua_api_key"
[
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"metadata": { "orderId": "ORD-001" },
"createdAt": "2026-03-10T12:00:00.000Z"
}
]
Descricao
Busca saques filtrando pelo campometadata (JSONB). Util para encontrar saques associados a um pedido ou referencia externa do seu sistema.
Request
string
required
Nome da chave no campo metadata. Exemplo:
orderIdstring
required
Valor a buscar (substring match). Exemplo:
ORD-001curl -X GET "https://api.thalbank.com/withdrawals/search?metadataKey=orderId&metadataValue=ORD-001" \
-H "x-api-key: sua_api_key"
[
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"metadata": { "orderId": "ORD-001" },
"createdAt": "2026-03-10T12:00:00.000Z"
}
]
Was this page helpful?